Bug 24033 - Fix column labelling on basket summary page (ecost)
Summary: Fix column labelling on basket summary page (ecost)
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Lisette Scheer
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-11-13 13:48 UTC by Katrin Fischer
Modified: 2019-12-11 20:28 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.01


Attachments
Bug 24033 : Fix column labelling on basket summary page (ecost) When viewing a basket, some of the column names are unclear and are different than the terms used for the same field on the order form. This patch edits the column titles to match (1.88 KB, patch)
2019-11-14 22:07 UTC, Lisette Scheer
Details | Diff | Splinter Review
Bug 24033 : Fix column labelling on basket summary page (ecost) When viewing a basket, some of the column names are unclear and are different than the terms used for the same field on the order form. This patch edits the column titles to match (1.88 KB, patch)
2019-11-14 22:14 UTC, Lisette Scheer
Details | Diff | Splinter Review
Bug 24033 : Fix column labelling on basket summary page (ecost) When viewing a basket, some of the column names are unclear and are different than the terms used for the same field on the order form. This patch edits the column titles to match the order f (1.91 KB, patch)
2019-11-22 05:07 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
k (1.93 KB, patch)
2019-11-22 20:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24033: Fix column labelling on basket summary page (ecost) (1.93 KB, patch)
2019-11-22 21:01 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-11-13 13:48:01 UTC
The table of orders on the basket summary page includes a lot of columns with different prices. 

Two are not labelled well:
- ecost tax inc.
- ecost tax exc.

Apart from the capitalization issue, I think it's not clear that this should mean 'estimated cost'. I suggest changing this to the term used on the order form:

- Budgeted cost tax inc.
- Budgeted cost tax exc.
Comment 1 Lisette Scheer 2019-11-14 22:07:11 UTC
Created attachment 95448 [details] [review]
Bug 24033 : Fix column labelling on basket summary page (ecost)     When viewing a basket, some of the column names are unclear and are     different than the terms used for the same field on the order form.     This patch edits the column titles to match
Comment 2 Lisette Scheer 2019-11-14 22:14:12 UTC
Created attachment 95449 [details] [review]
Bug 24033 : Fix column labelling on basket summary page (ecost)     When viewing a basket, some of the column names are unclear and are     different than the terms used for the same field on the order form.     This patch edits the column titles to match

To test:     
1)In acquisitions, create a budget.     
2)In acquisitions, create a fund.     
3)In acquisitions, create a vendor.     
4)In acquisitions, create a basket and add a test item to the basket.     
5)Observe the column titles ecost tax inc. and ecost tax exc. Check the column visibility settings if you don't see the columns.    
6)Apply the patch.     
7)Observe the column titles have been updated.
Comment 3 ByWater Sandboxes 2019-11-22 05:07:54 UTC
Created attachment 95710 [details] [review]
Bug 24033 : Fix column labelling on basket summary page (ecost) When viewing a basket, some of the column names are unclear and are different than the terms used for the same field on the order form. This patch edits the column titles to match the order f

Signed-off-by: George Williams <george@nekls.org>
Comment 4 Katrin Fischer 2019-11-22 20:58:15 UTC
Created attachment 95741 [details] [review]
k
Comment 5 Katrin Fischer 2019-11-22 21:01:43 UTC
Created attachment 95742 [details] [review]
Bug 24033: Fix column labelling on basket summary page (ecost)

When viewing a basket, some of the column names are unclear
and are different than the terms used for the same field
on the order form. This patch edits the column titles to
match the order form.

To test:
1) In acquisitions, create a budget.
2) In acquisitions, create a fund.
3) In acquisitions, create a vendor.
4) In acquisitions, create a basket and add a test item to the basket.
5) Observe the column titles ecost tax inc. and ecost tax exc.
   Check the column visibility settings if you don't see
   the columns.
6) Apply the patch.
7) Observe the column titles have been updated.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2019-11-22 21:02:21 UTC
Hi Lisette, nice patch!

Just some small things for your next one:

- The first line always needs to start with 'Bug xxxx:'. 
- Something seems to happen to the breaks in your patches - no problem, I've fixed it. How do you write the commit message? Maybe try to add an extra empty line after the first.
Comment 7 Lisette Scheer 2019-11-22 21:30:59 UTC
(In reply to Katrin Fischer from comment #6)
> Hi Lisette, nice patch!
> 
> Just some small things for your next one:
> 
> - The first line always needs to start with 'Bug xxxx:'. 
> - Something seems to happen to the breaks in your patches - no problem, I've
> fixed it. How do you write the commit message? Maybe try to add an extra
> empty line after the first.


Katrin, 
Thanks for fixing it. 
I'm using the devbox.
I'll do:
1) git commit basket.tt
2) Write the commit notes, following the instructions on the wiki that I found here: https://wiki.koha-community.org/wiki/Commit_messages
3) :wq! to write and quit. 
4) git bz attach -e 24403 HEAD
5) Put all the line breaks back in and change the status.

I did think it was quirky that I had to put the line breaks in again. 
That was also why I had 2 patches on this one. The first time I forgot to -e so I re-attached it after editing.
Comment 8 Katrin Fischer 2019-11-22 22:19:48 UTC
(In reply to Lisette Scheer from comment #7)
> (In reply to Katrin Fischer from comment #6)
> > Hi Lisette, nice patch!
> > 
> > Just some small things for your next one:
> > 
> > - The first line always needs to start with 'Bug xxxx:'. 
> > - Something seems to happen to the breaks in your patches - no problem, I've
> > fixed it. How do you write the commit message? Maybe try to add an extra
> > empty line after the first.
> 
> 
> Katrin, 
> Thanks for fixing it. 
> I'm using the devbox.
> I'll do:
> 1) git commit basket.tt
> 2) Write the commit notes, following the instructions on the wiki that I
> found here: https://wiki.koha-community.org/wiki/Commit_messages
> 3) :wq! to write and quit. 
> 4) git bz attach -e 24403 HEAD
> 5) Put all the line breaks back in and change the status.
> 
> I did think it was quirky that I had to put the line breaks in again. 
> That was also why I had 2 patches on this one. The first time I forgot to -e
> so I re-attached it after editing.

Hm something is odd there, you shouldn't have to do anything on bugzilla and it doesn't really work well this way. It sounds like you are using vi in the devbox. One can change the default editor for git via the config files for the devbox, maybe this could improve things... but it SHOULD work with vi too :(
Comment 9 Martin Renvoize 2019-12-09 14:35:49 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 10 Joy Nelson 2019-12-11 20:28:52 UTC
Pushed to 19.11.01